> For the complete documentation index, see [llms.txt](https://docs.pakk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pakk.io/websites/content/feature-blocks.md).

# Feature Blocks

“Feature block” is our internal name for a reusable snippet of content that can embedded throughout your sites and emails.

* Reusable, customisable widgets that can contain text, images and/or video
* Created and maintained in one place and then reused in different places around your site
* Currently feature block layouts can be used in: store homepage, content homepage, individual product pages, order thank you page, customer emails

{% embed url="<https://www.youtube.com/embed/7eY7PFam7fY>" %}

Feature blocks allow you to create and maintain your content in a single place and then reuse that content in lots of different “slots” around your sites and emails. There are several advantages to your approach:

* Centralising all your resoluble content in one place makes it easy to find what you are looking for when you need to make an edit
* Creating and then reusing blocks means that updates only need to be made in a single place and that change will be reflected wherever block is used

We’re constantly leveraging this “blocks and slots” architecture to add more and more visual customisation options to Pakk sites, but in a way that is easy to maintain and hard to mess up.

![Blocks and Slots Architecture](https://pakk-tenant-images.imgix.net/pakk/2021/7/Feature-Blocks-Spotlight-Infogrpaphic.png?w=600)

### Types of Feature Blocks <a href="#types-of-feature-blocks" id="types-of-feature-blocks"></a>

There are currently several different types go block, with more being added all the time:

* Custom block: a versatile block where you can add any combination of a title, subtitle, body content, call-to-action button, background colour or background image. This block alone allows for many creative and colourful combinations to be easily created.
* Video block: a block that is dedicated entirely to an embedded video, either from YouTube or Vimeo
* Feed post block (Individual): a single, featured post from your feed
* Feed post block (gallery): multiple posts from your feed, either manually selected or by hashtag matching
* iFrame block: add all manner of embeddable content to your site via iFrames

### Slots <a href="#slots" id="slots"></a>

Slots are areas in which feature blocks can be placed. Each slot permits one of the following options:

* A single, selected feature block
* Multiple feature blocks laid out in a single row
* A complete “feature-block” layout with multiple rows and any number of blocks per row

Currently, you’ll find feature block slots in the following places:

* On the main store homepage
* On the content/blog homepage
* At the bottom of product detail pages
* Under the content on static “Pages”
* Under the content on web forms
* In web-form autoresponder emails
* On the post-order “thank-you” page
* In all the webstore confirmation emails

### Resources <a href="#resources" id="resources"></a>

#### Colour Palette Generator <a href="#colour-palette-generator" id="colour-palette-generator"></a>

<https://coolors.co/>

#### Unicode and Emojis <a href="#unicode-and-emojis" id="unicode-and-emojis"></a>

<https://unicode-table.com/>

#### Markdown Cheatsheet <a href="#markdown-cheatsheet" id="markdown-cheatsheet"></a>

<https://www.markdownguide.org/cheat-sheet/>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pakk.io/websites/content/feature-blocks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
